<?php

header("Content-Type: application/json");

$mysqli = new mysqli("localhost", "root", "", "articles");
$mysqli->set_charset("utf8");
$stmt = $mysqli->stmt_init();

$limitEntity = @$_GET['entity'];

$query = "SELECT * FROM `posts` LIMIT ?,1";
$stmt->prepare($query);

$stmt->bind_param('s', $limitEntity);
$rows = [];
if ($stmt->execute() && $res = $stmt->get_result()) {
    if ($stmt->affected_rows || $res->num_rows) {
        while ($row_loop = $res->fetch_assoc()) {
            $rows = $row_loop;
        }
    }
}

$stmt->close();
$mysqli->close();

$jsonData = json_encode($rows);
echo $jsonData;

?>