let lockHttpRequest = false;
let loadMoreDOM = document.getElementById("loadMore");


loadMoreDOM.onclick = function() {
    if(lockHttpRequest) return false;
    lockHttpRequest = true;
    const xhr = new XMLHttpRequest();
    xhr.responseType = "json";
    
    let queryString = new URLSearchParams;
    const articlesDOM = document.getElementsByClassName("artc");
    queryString.append("entity", articlesDOM.length);
    queryString = "?" + queryString.toString();
 
    xhr.open("GET", "http://localhost/jet/articles.php" + queryString);
 
    xhr.onload = function() {
        lockHttpRequest = false;
        const posts = this.response;
        if(!posts.id){
            alert("مطلب دیگری برای نمایش وجود ندارد")
            return false;
        } 
        let html = ajaxHtmlResult(posts);
        const container = document.getElementsByClassName("container")[0];
        container.innerHTML += html;
        container.appendChild(loadMoreDOM);
        document.querySelectorAll(".container #loadMore")[0].remove();
        loadMoreDOM = document.getElementById("loadMore");
    }
 
    xhr.onerror = function() {
        lockHttpRequest = false;
        console.warn("[XHR Error]");
    }
 
    xhr.send();
 
}
 

function getLastArticle(){
    const last = document.getElementsByClassName("artc");
    return last[last.length-1];
}

function ajaxHtmlResult(data) {
    const templateHtml = `<article class="artc"><img src="${data.thumbnail}" alt="${data.title}"><h2>${data.title}</h2><p>${data.content}</p><a href="${data.link}" target="_blank">ادامه مطلب</a></article>`;
    return templateHtml;
}